#
# Conditional build:
%bcond_with	tests		# build with tests

%define		kdeappsver	25.04.1
%define		kframever	5.103.0
%define		qtver		5.15.2
%define		kaname		kdev-python

Summary:	KDE Integrated Development Environment - python
Summary(pl.UTF-8):	Zintegrowane środowisko programisty dla KDE - python
Name:		ka6-%{kaname}
Version:	25.04.1
Release:	1
License:	GPL
Group:		X11/Development/Tools
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	59c7fcd938520f057dd4ce525f9a00b0
URL:		http://www.kdevelop.org/
BuildRequires:	Qt6Core-devel >= 5.15.2
BuildRequires:	Qt6Gui-devel >= 5.15.2
BuildRequires:	Qt6Qml-devel
BuildRequires:	Qt6Qt5Compat-devel >= 6.0.0
BuildRequires:	Qt6Test-devel
BuildRequires:	Qt6WebEngine-devel >= 6.5.0
BuildRequires:	Qt6Widgets-devel >= 5.15.2
BuildRequires:	gettext-devel
BuildRequires:	ka6-kdevelop-devel >= %{kdeappsver}
BuildRequires:	kf6-extra-cmake-modules >= 5.78.0
BuildRequires:	kf6-kauth-devel >= 5.105.0
BuildRequires:	kf6-kcodecs-devel >= 5.105.0
BuildRequires:	kf6-kcompletion-devel >= 5.105.0
BuildRequires:	kf6-kconfigwidgets-devel >= 5.105.0
BuildRequires:	kf6-kcoreaddons-devel >= 5.105.0
BuildRequires:	kf6-ki18n-devel >= 5.105.0
BuildRequires:	kf6-kitemviews-devel >= 5.105.0
BuildRequires:	kf6-kjobwidgets-devel >= 5.105.0
BuildRequires:	kf6-kparts-devel >= 5.105.0
BuildRequires:	kf6-kservice-devel >= 5.105.0
BuildRequires:	kf6-ktexteditor-devel >= 5.91.0
BuildRequires:	kf6-ktextwidgets-devel >= 5.105.0
BuildRequires:	kf6-kwidgetsaddons-devel >= 5.105.0
BuildRequires:	kf6-kxmlgui-devel >= 5.105.0
BuildRequires:	kf6-solid-devel >= 5.105.0
BuildRequires:	kf6-sonnet-devel >= 5.105.0
BuildRequires:	kf6-syntax-highlighting-devel >= 5.105.0
BuildRequires:	kf6-threadweaver-devel >= 5.91.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	python3-devel >= 3.10
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	ka6-kdevelop
Obsoletes:	ka5-%{kaname} < %{version}
ExcludeArch:	x32 %{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Integrated Development Environment - python.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_DOCBUNDLEDIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DFORCE_BASH_COMPLETION_INSTALLATION=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkdevpythoncompletion.so
%attr(755,root,root) %{_libdir}/libkdevpythonduchain.so
%attr(755,root,root) %{_libdir}/libkdevpythonparser.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdevplatform/6?/kdevpdb.so
%attr(755,root,root) %{_libdir}/qt6/plugins/kdevplatform/6?/kdevpythonlanguagesupport.so
%{_datadir}/kdevappwizard/templates/django_project.tar.bz2
%{_datadir}/kdevappwizard/templates/qtdesigner_app.tar.bz2
%{_datadir}/kdevappwizard/templates/simple_pythonapp.tar.bz2
%{_datadir}/kdevpythonsupport
%{_datadir}/metainfo/org.kde.kdev-python.metainfo.xml
%{_datadir}/qlogging-categories6/kdevpythonsupport.categories
%changelog
* Fri May 30 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka6-kdev-python.git;a=log;h=master

* Thu May 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 9d98975
- updated to 25.04.1

* Thu Apr 17 2025 Witold Filipczyk <witekfl@poczta.onet.pl> a313648
- updated to 25.04.0

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 6a8bb1c
- Release 3 (by relup.sh)

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> c4f2869
- python 3.13 rebuild

* Fri Mar 07 2025 Witold Filipczyk <witekfl@poczta.onet.pl> af75422
- updated to 24.12.3

* Sat Feb 08 2025 Witold Filipczyk <witekfl@poczta.onet.pl> d07e927
- updated to 24.12.2

* Fri Jan 10 2025 Witold Filipczyk <witekfl@poczta.onet.pl> 7aa9675
- updated to 24.12.1

* Sat Dec 28 2024 Jan Rękorajski <baggins@pld-linux.org> 7b3a4ae
- use macro for i686-like arch

* Fri Dec 27 2024 Jan Rękorajski <baggins@pld-linux.org> 3d5dfca
- updated BRs

* Thu Dec 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 828cdcd
- updated to 24.12.0

* Thu Nov 07 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6bf0653
- updated to 24.08.3

* Mon Oct 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 88305a5
- excluding i686 and x32

* Thu Oct 10 2024 Witold Filipczyk <witekfl@poczta.onet.pl> baa4c8a
- updated to 24.08.2

* Thu Sep 12 2024 Witold Filipczyk <witekfl@poczta.onet.pl> dee37cd
- updated to 24.08.1

* Fri Aug 23 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 5aa0167
- updated to 24.08.0

